# Fuzzy-Expert: Mamdani Fuzzy Inference Systems in Python



What is it?
------------------------------------------------------------------------------------

**Fuzzy-Expert** is a Python package for building Mamdani Fuzzy Inference Systems. **Fuzzy-Expert** admits a mix of fuzzy and crisp values and associated certainty values. The inference system returns crisp values and certainty factors for the conclusions of the rules.


Main Features
------------------------------------------------------------------------------------

* Specification of membership functions using standard functions or as a list of points.

* Different functions for specifying T-norms and Conorms.

* Different implication operators.

* Composition using `max-min` or `max-prod` rules.

* Most common functions for production aggregation.

* Different operators to defuzzificate fuzzy sets.


Installation
------------------------------------------------------------------------------------

The current stable version can be installed from the command line using:

```bash
$ pip install fuzzy_expert
``` 

at the command prompt.


Documentation
------------------------------------------------------------------------------------

Available at: https://jdvelasq.github.io/fuzzy_expert


